08 января 2015

Продолжена разработка композитного менеджера Compiz 0.8.х

После длительного затишья в разработке представлен выпуск композитного менеджера Compiz 0.8.10, который подготовлен в рамках инициативы по продолжению развития прошлой стабильной ветки 0.8.x, на смену которой в 2010 году пришла ветка 0.9.x, примечательная переходом на использование языка программирования C++, новым интерфейсом для создания плагинов и разделением композитного (XComposite) и OpenGL уровней. В выпуск 0.8.10 включены накопившиеся патчи с исправлением известных проблем и устранением несовместимостей с современными графическими драйверами.

Ветка Compiz 0.9 используется для обеспечения работы пользовательского окружения Unity 7 в Ubuntu, в то время как Compiz 0.8 продолжает поставляться в составе Fedora и Arch Linux. При установке Compiz 0.8.10 может возникнуть конфликт с compiz, ccsm, emerald и другими компонентами из состава ветки 0.9.x, поэтому ветку Compiz 0.8.10 не рекомендуется использовать в штатном Ubuntu, а лучше воспользоваться Xubuntu или другими ответвлениями.

В качестве причины продолжения разработки ветки Compiz 0.8 называется желание обеспечить поддержку классической кодовой базы на языке Си, которая оценивается некоторыми разработчиками как более стабильная, чем код ветки 0.9 (по другому мнению обе ветки обеспечивают примерно одинаковый уровень стабильности). Кроме того, в ветке Compiz 0.8 присутствует поддержка возможностей, которые так и не были реализованы в Compiz 0.9, но по-прежнему остаются востребованными среди пользователей (из-за перехода на OpenGL ES в Compiz 0.9 прекращена поддержка некоторых плагинов).

Источник: http://www.opennet.ru/

Главная ссылка к новости (http://lists.freedesktop.org/archives/co...)

7 комментариев :

  1. странная ситуёвина с этими компизами...
    специально остался на панголине, чтобы работал плагин "burn".
    сейчас посмотрел версию компиза - о ужас! 0.9.12.
    однако, "burn" по-прежнему работает! @-)

    ОтветитьУдалить
  2. А можно ли эту версию поставить вместо той которая стоит по умолчанию в Убунту 14.04 ? Дело в том что на моём железе по какой-то причине безпроблемно работал Compiz лишь в Убунту 11.04, во всех остальных версиях почему-то периодически при включенном Compiz виснет графическая оболочка, таким образом виснет что к примеру если зависла в момент вращения куба, то куб некоторое время находится в полуобёрнутом состоянии, подобным образом ведет себя Compiz даже если в данный момент никакой эффект не проявляется, тоесть скажем что либо делаешь, тут раз и зависла оболочка секунд на 20-ть, при этом зависании кроме как курсором двигать больше ничего не возможно, вот интересно попробовать эту версию

    ОтветитьУдалить
    Ответы
    1. Остап, в статье ведь ясно написано: "Ветка Compiz 0.9 используется для обеспечения работы пользовательского окружения Unity 7 в Ubuntu, в то время как Compiz 0.8 продолжает поставляться в составе Fedora и Arch Linux. При установке Compiz 0.8.10 может возникнуть конфликт с compiz, ccsm, emerald и другими компонентами из состава ветки 0.9.x, поэтому ветку Compiz 0.8.10 не рекомендуется использовать в штатном Ubuntu, а лучше воспользоваться Xubuntu или другими ответвлениями."

      Удалить
    2. У меня Линукс Минт 17.1 с оболочкой Мате, я один из тех кто не воспринял нововведения в виде Gnome 3 и Unity, более того на сегодня я являюсь координатором перевода оболочки Mate на мой родной язык, потому что это моя любимая графическая среда

      Удалить